package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 平台管理实体
 * 表名 tb_cf_platform
 *
 * @author lipengjun
 * @date 2019-09-05 16:51:07
 */
public class TbCfPlatformEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 平台id
     */
    private String platformId;
    /**
     * 平台编号
     */
    private String platformCode;
    /**
     * 平台名字
     */
    private String platformName;
    /**
     * 平台简介
     */
    private String platformBrief;
    /**
     * 平台链接
     */
    private String platformUrl;
    /**
     * 平台图片
     */
    private String platformImg;
    /**
     * 启用状态
     */
    private Integer enableFlag;
    /**
     * 创建日期
     */
    private Date createTime;

    /**
     * 设置：平台id
     */
    public void setPlatformId(String platformId) {
        this.platformId = platformId;
    }

    /**
     * 获取：平台id
     */
    public String getPlatformId() {
        return platformId;
    }
    /**
     * 设置：平台编号
     */
    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    /**
     * 获取：平台编号
     */
    public String getPlatformCode() {
        return platformCode;
    }
    /**
     * 设置：平台名字
     */
    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    /**
     * 获取：平台名字
     */
    public String getPlatformName() {
        return platformName;
    }
    /**
     * 设置：平台简介
     */
    public void setPlatformBrief(String platformBrief) {
        this.platformBrief = platformBrief;
    }

    /**
     * 获取：平台简介
     */
    public String getPlatformBrief() {
        return platformBrief;
    }
    /**
     * 设置：平台链接
     */
    public void setPlatformUrl(String platformUrl) {
        this.platformUrl = platformUrl;
    }

    /**
     * 获取：平台链接
     */
    public String getPlatformUrl() {
        return platformUrl;
    }
    /**
     * 设置：平台图片
     */
    public void setPlatformImg(String platformImg) {
        this.platformImg = platformImg;
    }

    /**
     * 获取：平台图片
     */
    public String getPlatformImg() {
        return platformImg;
    }
    /**
     * 设置：启用状态
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：启用状态
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
    /**
     * 设置：创建日期
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建日期
     */
    public Date getCreateTime() {
        return createTime;
    }
}
